Retrieves the unavailability type with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_unavailability_type| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| name |
Name of the unavailability type |
string |
Required Max length: 20 |
| description |
Long description |
string |
Max length: 100 |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "e6b7605d-c984-4421-b96d-d0a9fe12d297",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "9ebfed05-6f33-4f3e-af1e-648a22a7ec20",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "f1c7cf5f-98c9-4a9c-adf7-12c4086838e2",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "e40206de-10fb-4100-b6b9-12bf9f669b58",
"db_currency_id": "cd17c6ce-3c23-4096-b12d-6c60a6a46208",
"db_language_id": "d5efc22a-8adb-44f9-bf54-581f81f0df7b",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T11:21:55.4774381+00:00"
},
"modified_dateutc": "2026-10-28T11:21:55.4774381+00:00"
}